#
# spec file for package perl-Test-Memory-Cycle
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Test-Memory-Cycle
Version:        1.04
Release:        7.pm.21.1
License:        GPL+ or Artistic
%define cpan_name Test-Memory-Cycle
Summary:        Check for memory leaks and circular memory references
Url:            http://search.cpan.org/dist/Test-Memory-Cycle/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/P/PE/PETDANCE/Test-Memory-Cycle-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::Cycle) >= 1.07
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(PadWalker)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple) >= 0.62
Requires:       perl(Devel::Cycle) >= 1.07
Requires:       perl(Getopt::Long)
Requires:       perl(PadWalker)
Requires:       perl(Test::Builder)
Requires:       perl(Test::Builder::Tester)
Requires:       perl(Test::More)
Requires:       perl(Test::Simple) >= 0.62
%{perl_requires}

%description
Perl's garbage collection has one big problem: Circular references can't 
get cleaned up. A circular reference can be as simple as two reference 
that refer to each other.

Test::Memory::Cycle is built on top of Devel::Cycle to give you an easy 
way to check for these circular references.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Jul  5 2011 coolo@novell.com
- fix %%attrs for older distros
* Sat Apr  9 2011 coolo@novell.com
- recreated by cpanspec 1.78.04
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 22 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
* Tue Nov 24 2009 rschweikert@novell.com
- Initial build, version 1.04
